## ListSCIMConfigurations `client.Organizations.ScimConfigurations.List(ctx, params) (*ScimConfigurationsPage[ScimConfiguration], error)` **post** `/gitpod.v1.OrganizationService/ListSCIMConfigurations` Lists SCIM configurations for an organization. Use this method to: - View all SCIM configurations - Monitor provisioning status - Audit SCIM settings ### Examples - List SCIM configurations: Shows all SCIM configurations for an organization. ```yaml pagination: pageSize: 20 ``` ### Parameters - `params OrganizationScimConfigurationListParams` - `Token param.Field[string]` Query param - `PageSize param.Field[int64]` Query param - `Pagination param.Field[OrganizationScimConfigurationListParamsPagination]` Body param - `Token string` Token for the next set of results that was returned as next_token of a PaginationResponse - `PageSize int64` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `type ScimConfiguration struct{…}` SCIMConfiguration represents a SCIM 2.0 provisioning configuration - `ID string` id is the unique identifier of the SCIM configuration - `CreatedAt Time` created_at is when the SCIM configuration was created - `OrganizationID string` organization_id is the ID of the organization this SCIM configuration belongs to - `TokenExpiresAt Time` token_expires_at is when the current SCIM token expires - `UpdatedAt Time` updated_at is when the SCIM configuration was last updated - `Enabled bool` enabled indicates if SCIM provisioning is active - `Name string` name is a human-readable name for the SCIM configuration - `SSOConfigurationID string` sso_configuration_id is the linked SSO configuration (optional) ### Example ```go package main import ( "context" "fmt" "github.com/gitpod-io/gitpod-sdk-go" "github.com/gitpod-io/gitpod-sdk-go/option" ) func main() { client := gitpod.NewClient( option.WithBearerToken("My Bearer Token"), ) page, err := client.Organizations.ScimConfigurations.List(context.TODO(), gitpod.OrganizationScimConfigurationListParams{ Pagination: gitpod.F(gitpod.OrganizationScimConfigurationListParamsPagination{ PageSize: gitpod.F(int64(20)), }), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "pagination": { "nextToken": "nextToken" }, "scimConfigurations": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "createdAt": "2019-12-27T18:11:19.117Z", "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "tokenExpiresAt": "2019-12-27T18:11:19.117Z", "updatedAt": "2019-12-27T18:11:19.117Z", "enabled": true, "name": "name", "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" } ] } ```